ZIP_SOURCE_TELL(3)

NAME
zip_source_tell - report current read offset in zip source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_int64_t
zip_source_tell(zip_source_t *source);

DESCRIPTION
The function zip_source_tell() returns the current read offset for source. The return value can be passed to zip_source_seek(3) with whence set to SEEK_SET to return to the same location in the source.

RETURN VALUES
Upon successful completion the current read offset is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_read(3), zip_source_tell_write(3)

HISTORY
zip_source_tell() was added in libzip 1.0.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>